### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `nbconvert.utils.pandoc`

Utility for calling pandoc

## 1 Class

class `IPython.nbconvert.utils.pandoc.``PandocMissing`

  Bases: `IPython.nbconvert.utils.exceptions.ConversionException`

  Exception raised when Pandoc is missing.

## 1 Function

`IPython.nbconvert.utils.pandoc.``pandoc`(source, fmt, to, extra_args=None, encoding='utf-8')

  Convert an input string in format from to format to via pandoc.

  This function will raise an error if pandoc is not installed. Any error messages generated by pandoc are printed to stderr.

  Parameters:

  source : string

  > Input string, assumed to be valid format from.

  fmt : string

  > The name of the input format (markdown, etc.)

  to : string

  > The name of the output format (html, etc.)

  Returns:

  out : unicode

  > Output as returned by pandoc.

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »